=== src/components/host_micpower/tests/Makefile ===
NAME=host_micpower
include ../../Makefile_comp_tests

%.o:%.c
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $<

TESTS = host_micpower_basic 
host_micpower_tests : $(TESTS)

micpower_tests: $(TESTS)

host_micpower_basic: host_micpower_basic.o $(UTILOBJS) $(PAPILIB)
	$(CC) $(CFLAGS) $(INCLUDE) -o host_micpower_basic host_micpower_basic.o $(UTILOBJS) $(PAPILIB) $(LDFLAGS) 

clean:
	rm -f $(TESTS) *.o
