=== debian/changelog ===
papi (5.4.3-2) unstable; urgency=medium

  * Bump libpfm4-dev B-D to >= 4.7.0
  * Mark x86-specific symbols as available on x32.
  * Bump Standards-Version to 3.9.7. No changes needed.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 25 Feb 2016 20:15:40 +0100

papi (5.4.3-1) experimental; urgency=medium

  * New upstream release.
  * fix-manpages.patch: Refresh.
  * Soversion change: 5.4.1 -> 5.4.3. Rename package libpapi5.4.1 to
    libpapi5.4.3.
  * Update symbols for 5.4.3.
  * Drop papi-dbg package in favor of autogenerated -dbgsym packages.
  * Add Lintian overrides for a prebuilt binary in the source.
  * fix-typos.patch: New, fix more typos found by Lintian.
  * Use https:// Homepage and watch URLs.
  * Update Vcs-* URLs.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Feb 2016 17:06:05 +0100
