=== debian/watch ===
version=3

https://icl.cs.utk.edu/papi/software/index.html .*/papi-(.*)\.tar\.gz
