=== debian/changelog ===
papi (5.5.0-3+alpha) unreleased; urgency=medium

  * alpha.patch: Fix build on Alpha.

 -- Michael Cree <mcree@orcon.net.nz>  Thu, 13 Oct 2016 09:31:06 +1300

papi (5.5.0-3) unstable; urgency=medium

  * pie.patch: New, do not build shared libraries with PIE flags.
  * Build with PIE enabled.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Oct 2016 13:00:29 +0200

papi (5.5.0-2) unstable; urgency=medium

  * Fix upgrade from jessie with Breaks+Replaces: libpapi5.3.
  * Fix build on hppa, thanks to Helge Deller.  (Closes: #838321)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Sep 2016 12:14:28 +0200

papi (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * fix-typos.patch: Fix some more typos.
  * Bump libpfm4-dev B-D to >= 4.7.0+git30.
  * Restore reproducibility.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Sep 2016 09:40:23 +0200

papi (5.4.3-4) experimental; urgency=medium

  * Upstream has clarified what composes the library API.
  * Soversion change: 5.4.3 -> 5. Rename package libpapi5.4.3 to libpapi5.
  * Drop support for changing the Soversion frequently.
  * Overhaul buildflags usage and enable more hardening.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 29 May 2016 10:39:59 +0200

papi (5.4.3-3) unstable; urgency=medium

  * Document that the paranoia level in /proc/sys/kernel/perf_event_paranoid
    may need to be lowered to access performance counters.
  * Cherry-pick from upstream master:
    - 0001-added-PAPI-component.patch
    - 0002-added-power-cap-read-test.patch
    - 0003-added-intial-powercap-write-test-and-readme.patch
    - 0006-Cleanup-powercap-utility.-Removed-mention-of-libmsr-.patch
    - 0008-Fixed-cuda-component-README-to-use-the-correct-confi.patch
    - 0009-Thanks-to-William-Cohen-of-RedHat-for-providing-a-pa.patch
    - 0010-Thanks-to-William-Cohen-of-RedHat-for-providing-the-.patch
    - 0011-Removed-the-re-declaration-of-the-static-functions-i.patch
    - 0012-Make-coretemp-internal-functions-static-where-possib.patch
    - 0013-Fix-a-bashism-found-in-Makefile.inc.patch
    - 0014-Fix-leftover-doxygen-reference-in-INSTALL-file.patch
    - 0016-Only-expose-the-shared-libary-symbols-listed-papi.h-.patch
    - 0018-update-the-caddr_t-compatability-hack-in-papi.h.patch
  * Refresh patches.
  * Update symbols file, the library no longer exposes private symbols.
  * Bump libpfm4-dev B-D to >= 4.7.0+git11.
  * Bump Standards-Version to 3.9.8. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 29 May 2016 07:45:44 +0200
