=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libpfm4-dev (>= 4.7.0),
+ libpfm4-dev (>= 4.7.0+git30),
  gfortran,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: devel
 Homepage: https://icl.cs.utk.edu/papi/software/index.html
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/papi.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/papi.git
 
-Package: libpapi5.4.3
+Package: libpapi5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -22,6 +22,8 @@
 Depends:
  libpfm4 (>= ${libpfm4:MinVersion}),
  ${shlibs:Depends}, ${misc:Depends}
+Breaks: libpapi5.3
+Replaces: libpapi5.3
 Description: PAPI runtime (shared libraries)
  Performance Application Programming Interface (PAPI) provides the tool
  designer and application engineer with a consistent interface and methodology
@@ -33,13 +35,16 @@
  expose performance measurement opportunites across the hardware and software
  stack.
  .
+ Accessing performance counters from userspace may require reducing the paranoia
+ level in /proc/sys/kernel/perf_event_paranoid, see README.Debian for details.
+ .
  This package provides the shared library.
 
 Package: libpapi-dev
 Section: libdevel
 Architecture: any
 Depends:
- libpapi${papi:SOVERSION} (= ${binary:Version}),
+ libpapi5 (= ${binary:Version}),
  ${misc:Depends}
 Description: PAPI development files (headers and API documentation)
  Performance Application Programming Interface (PAPI) provides the tool
@@ -76,7 +81,7 @@
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpapi-dev (>= ${source:Version}), libpapi-dev (<< ${source:Upstream-Version}.~), ${shlibs:Depends}, ${misc:Depends}
+Depends: libpapi-dev (>= ${source:Version}), libpapi-dev (<< ${source:Upstream-Version}.~), ${misc:Depends}
 Recommends:
  build-essential,
  gfortran,
