=== debian/changelog ===
papi (5.5.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jan 2017 01:48:42 +0100

papi (5.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Jan 2017 03:07:07 +0100

papi (5.5.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2016 14:10:19 +0200

papi (5.4.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Aug 2015 09:46:26 +0200
