=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libpfm4-dev (>= 4.7.0+git30),
+ libpfm4-dev (>= 4.8),
  gfortran,
 Standards-Version: 3.9.8
 Section: devel
